/// <reference types="node" />
import { IExpectedResponse } from './matchers/api';
import { IRecordMatcher } from './utils/kinesis';
import { IMessageMatcher } from './utils/sqs';
declare global {
    namespace jest {
        interface Matchers<R> {
            toBeAtState: (state: string) => R;
            toHaveItem: (key: AWS.DynamoDB.DocumentClient.Key, expectedItem?: AWS.DynamoDB.DocumentClient.AttributeMap, strict?: boolean) => R;
            toHaveLog: (pattern: string) => R;
            toHaveObject: (key: string, expectedItem?: Buffer) => R;
            toHaveRecord: (matcher: IRecordMatcher) => R;
            toHaveMessage: (matcher: IMessageMatcher) => R;
            toHaveState: (state: string) => R;
            toReturnResponse: (expected: IExpectedResponse) => R;
        }
    }
}
