"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_1 = require("./matchers/api");
const cloudwatch_1 = require("./matchers/cloudwatch");
const common_1 = require("./matchers/common");
const dynamoDb_1 = require("./matchers/dynamoDb");
const kinesis_1 = require("./matchers/kinesis");
const s3_1 = require("./matchers/s3");
const sqs_1 = require("./matchers/sqs");
const stepFunctions_1 = require("./matchers/stepFunctions");
expect.extend({
    toBeAtState: common_1.wrapWithRetries(stepFunctions_1.toBeAtState),
    toHaveItem: common_1.wrapWithRetries(dynamoDb_1.toHaveItem),
    toHaveLog: common_1.wrapWithRetries(cloudwatch_1.toHaveLog),
    toHaveMessage: common_1.wrapWithRetries(sqs_1.toHaveMessage),
    toHaveObject: common_1.wrapWithRetries(s3_1.toHaveObject),
    toHaveRecord: kinesis_1.toHaveRecord,
    toHaveState: common_1.wrapWithRetries(stepFunctions_1.toHaveState),
    toReturnResponse: api_1.toReturnResponse,
});
jest.setTimeout(60000);
//# sourceMappingURL=index.js.map