"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWS = require("aws-sdk");
exports.invoke = async (region, functionName, payload) => {
    const lambda = new AWS.Lambda({ region });
    const lambdaPayload = payload ? { Payload: JSON.stringify(payload) } : {};
    const params = Object.assign({ FunctionName: functionName }, lambdaPayload);
    const { Payload } = await lambda.invoke(params).promise();
    if (Payload) {
        return JSON.parse(Payload.toString());
    }
    else {
        return undefined;
    }
};
//# sourceMappingURL=lambda.js.map