"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const os_1 = require("os");
exports.deploy = async (stage = 'dev') => {
    return await new Promise((resolve, reject) => {
        const serverless = child_process_1.spawn('serverless', ['deploy', '--stage', stage]);
        console.log(`${os_1.EOL}Deploying Service`);
        serverless.stdout.on('data', data => {
            console.log(data.toString().trim());
        });
        serverless.stderr.on('data', data => {
            console.error(data.toString().trim());
        });
        serverless.on('close', code => {
            if (code !== 0) {
                reject(code);
            }
            else {
                resolve(code);
            }
        });
    });
};
//# sourceMappingURL=serverless.js.map